<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/*
 * BEGIN ENQUEUE PARENT ACTION
 * AUTO GENERATED - Do not modify or remove comment markers above or below:
 */
 
/* Override parent theme help notice */
function agency_starter_help_notice(){}
 
if ( !function_exists( 'business_blocks_locale_css' ) ):
    function business_blocks_locale_css( $uri ){
        if ( empty( $uri ) && is_rtl() && file_exists( get_template_directory() . '/rtl.css' ) )
            $uri = get_template_directory_uri() . '/rtl.css';
        return $uri;
    }
endif;
add_filter( 'locale_stylesheet_uri', 'business_blocks_locale_css' );

if ( !function_exists( 'business_blocks_parent_css' ) ):
    function business_blocks_parent_css() {
        wp_enqueue_style( 'business_blocks_parent', trailingslashit( get_template_directory_uri() ) . 'style.css', array( 'bootstrap','fontawesome' ) );
    }
endif;
add_action( 'wp_enqueue_scripts', 'business_blocks_parent_css', 10 );


if ( class_exists( 'WP_Customize_Control' ) ) {

	require get_template_directory() .'/inc/color-picker/alpha-color-picker.php';
}


function business_blocks_wp_body_open(){
	do_action( 'wp_body_open' );
}

if ( ! function_exists( 'business_blocks_the_custom_logo' ) ) :
	/**
	 * Displays the optional custom logo.
	 */
	function business_blocks_the_custom_logo() {
		if ( function_exists( 'the_custom_logo' ) ) {
			the_custom_logo();
		}
	}
endif;

/**
 * @since 1.0.0
 * add home link.
 */
function business_blocks_nav_wrap() {
  $wrap  = '<ul id="%1$s" class="%2$s">';
  $wrap .= '<li class="hidden-xs"><a href="/"><i class="fa fa-home"></i></a></li>';
  $wrap .= '%3$s';
  $wrap .= '</ul>';
  return $wrap;
}


/* 
 * add customizer settings 
 */
add_action( 'customize_register', 'business_blocks_customize_register' );  
function business_blocks_customize_register( $wp_customize ) {

	
	
	//slider button link
		$wp_customize->add_setting( 'slider_button_link' , array(
		'default'    => "",
		'sanitize_callback' => 'esc_url_raw',
		));

		$wp_customize->add_control('slider_button_link' , array(
		'label' => __('Slider Button Link','business-blocks' ),
		'section' => 'slider_section',
		'priority' => 10,
		'type'=>'text',
		) );

	// banner image
	$wp_customize->add_setting( 'banner_image' , 
		array(
			'default' 		=> '',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'banner_image' ,
		array(
			'label'          => __( 'Banner Image', 'business-blocks' ),
			'description'	=> __('Upload banner image', 'business-blocks'),
			'settings'  => 'banner_image',
			'section'        => 'theme_header',
		))
	);
	
	$wp_customize->add_setting('banner_link' , array(
		'default'    => '#',
		'sanitize_callback' => 'esc_url_raw',
	));
	
	
	$wp_customize->add_control('banner_link' , array(
		'label' => __('Banner Link', 'business-blocks' ),
		'section' => 'theme_header',
		'type'=> 'url',
	) );

					
	
}
//load common functions
require get_stylesheet_directory() .'/inc/common.php';
//load child theme color scheme
require get_stylesheet_directory() .'/inc/styles.php';
//load widgets
require get_stylesheet_directory() .'/inc/widgets.php';

